Bug 33282 - package dependency deadlock
Summary: package dependency deadlock
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Mesa (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-26 21:26 UTC by dave
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-26 21:26:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dave 2001-03-26 21:26:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.18-moby5-1 i686)


# rpm -e Mesa       
error: removing these packages would break dependencies:
	libGL.so.1 is needed by XFree86-4.0.1-1
# rpm -e XFree86
error: removing these packages would break dependencies:
	XFree86 >= 3.3.3 is needed by Mesa-3.3-5


Reproducible: Always
Steps to Reproduce:
1. rpm -e Mesa
2. rpm -e XFree8
	

Actual Results:  packages not removed

Expected Results:  packages removed

Using the command line option '--nodeps' for one of the packages allows
both to be removed.

Comment 1 Bill Nottingham 2001-03-27 05:59:54 UTC
See 33281.


Note You need to log in before you can comment on or make changes to this bug.